syncprims-cxx11.h File Reference
`#include "log4cplus/thread/impl/syncprims-pmsm.h"`
Include dependency graph for syncprims-cxx11.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus
namespace | log4cplus::thread
namespace | log4cplus::thread::impl

## Detailed Description

This file contains implementations of synchronization primitives using the C++11 API. It does not contain any include guards because it is only a fragment to be included by syncprims.h.

Definition in file syncprims-cxx11.h.